JavascriptLibraryHandlerInterceptor (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.web.filters

## [Java] Class JavascriptLibraryHandlerInterceptor

- org.codehaus.groovy.grails.web.filters.JavascriptLibraryHandlerInterceptor

- Sets up the Javascript library to use based on configuration.

  Authors:
    Burt Beckwith
  Since:
    2.3

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected java.lang.String` | `library` |
    `protected org.slf4j.Logger` | `log` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `JavascriptLibraryHandlerInterceptor (GrailsApplication application)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `boolean` | `preHandle(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object handler)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.web.servlet.handler.HandlerInterceptorAdapter` | `org.springframework.web.servlet.handler.HandlerInterceptorAdapter#preHandle(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, java.lang.Object), org.springframework.web.servlet.handler.HandlerInterceptorAdapter#postHandle(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, java.lang.Object, org.springframework.web.servlet.ModelAndView), org.springframework.web.servlet.handler.HandlerInterceptorAdapter#afterCompletion(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, java.lang.Object, java.lang.Exception), org.springframework.web.servlet.handler.HandlerInterceptorAdapter#afterConcurrentHandlingStarted(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, java.lang.Object), org.springframework.web.servlet.handler.HandlerInterceptorAdapter#wait(long, int), org.springframework.web.servlet.handler.HandlerInterceptorAdapter#wait(long), org.springframework.web.servlet.handler.HandlerInterceptorAdapter#wait(), org.springframework.web.servlet.handler.HandlerInterceptorAdapter#equals(java.lang.Object), org.springframework.web.servlet.handler.HandlerInterceptorAdapter#toString(), org.springframework.web.servlet.handler.HandlerInterceptorAdapter#hashCode(), org.springframework.web.servlet.handler.HandlerInterceptorAdapter#getClass(), org.springframework.web.servlet.handler.HandlerInterceptorAdapter#notify(), org.springframework.web.servlet.handler.HandlerInterceptorAdapter#notifyAll()`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### protected java.lang.String library

    - #### protected org.slf4j.Logger log

  - ### Constructor Detail

    - #### public JavascriptLibraryHandlerInterceptor(GrailsApplication application)

  - ### Method Detail

    - #### @java.lang.Override public boolean preHandle(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object handler)